org.apache.lucene.search.highlight

## Class DefaultEncoder

- java.lang.Object
- - org.apache.lucene.search.highlight.DefaultEncoder

- All Implemented Interfaces:
    Encoder

      public class DefaultEncoder
      extends java.lang.Object
      implements Encoder

  Simple `Encoder` implementation that does not modify the output

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEncoder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `encodeText(java.lang.String originalText)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEncoder

          public DefaultEncoder()

  - ### Method Detail

    - #### encodeText

          public java.lang.String encodeText(java.lang.String originalText)

      Specified by:
        `encodeText` in interface `Encoder`
      Parameters:
        `originalText` - The section of text being output

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.